Subject: Re: bug#65039: 30.0.50; [PATCH] Add bookmark handler for M-x shell

From: Protesilaos Stavrou <[email-masked]>
Date: Fri, 04 Aug 2023 12:20:37 +0300

> From: Visuwesh <[email-masked]>
> Date: Thu,  3 Aug 2023 22:38:24 +0530
>
> [வியாழன் ஆகஸ்ட் 03, 2023] Protesilaos Stavrou wrote:
>
>> Dear maintainers,
>>
>> I noticed that M-x shell does not have a bookmark handler like M-x
>> eshell does.  What do you think about the attached patch?
>
> I think it would be nice to also store the "Remote shell path" for
> remote TRAMP buffers.  I have no idea how to retrieve this value,
> however.
> [ When I visit a TRAMP ssh buffer and say M-x shell, it asks for the
>   remote shell path.  ]

The code is adapted from Eshell, which has the capability you describe.
I do not have the means to test an SSH connection.  Though I tried the
'sudo' TRAMP method and the bookmarking correctly logs me in as root
when I do 'bookmark-jump'.  This works even if I kill the shell buffer
and all TRAMP buffers.

-- 
Protesilaos Stavrou
https://protesilaos.com